> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nozle.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve webhook public key as JSON

> This endpoint retrieves the public key used to verify webhook signatures, wrapped in a JSON object. Prefer it over the deprecated plain-text public-key endpoint.



## OpenAPI

````yaml /nozle-openapi.yaml get /webhooks/json_public_key
openapi: 3.1.0
info:
  title: Nozle Billing API
  description: >-
    Nozle Billing API allows your application to push customer information and
    metrics (events) from your application to the billing engine.
  version: 1.49.0
  license:
    name: AGPLv3
    url: https://github.com/nozle-dev/core/blob/main/LICENSE
  contact:
    email: support@nozle.app
servers:
  - url: https://core.nozle.app/api/v1
    description: Nozle Billing API
security:
  - bearerAuth: []
tags:
  - name: Activity Logs
    description: Everything about Activity logs
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Analytics
    description: Everything about Analytics
  - name: API Logs
    description: Everything about API logs
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Features
    description: Everything about Feature collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Entitlements
    description: Everything about Entitlement collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Billing Entities
    description: Everything about Billing Entities
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Customers
    description: Everything about Customer collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Plans
    description: Everything about Plan collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Subscriptions
    description: Everything about Subscription collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Events
    description: Everything about Event collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Organizations
    description: Everything about Organization collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Taxes
    description: Everything about Tax collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Coupons
    description: Everything about Coupon collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Add-ons
    description: Everything about Add-on collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Fees
    description: Everything about Fees
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Invoices
    description: Everything about Invoice collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Wallets
    description: Everything about Wallet collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Credit Notes
    description: Everything about Credit notes collection
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Webhooks
    description: Everything about Webhooks
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Webhook Endpoints
    description: Everything about Webhook Endpoints
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Payment Receipts
    description: Everything about Payment receipts
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Payment Requests
    description: Everything about PaymentRequests
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Payments
    description: Everything about Payments
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
  - name: Payment Methods
    description: Everything about Payment Methods
    externalDocs:
      description: Find out more
      url: https://docs.nozle.app/api-reference
externalDocs:
  description: Nozle Github
  url: https://github.com/nozle-dev
paths:
  /webhooks/json_public_key:
    get:
      tags:
        - Webhooks
      summary: Retrieve webhook public key as JSON
      description: >-
        This endpoint retrieves the public key used to verify webhook
        signatures, wrapped in a JSON object. Prefer it over the deprecated
        plain-text public-key endpoint.
      operationId: fetchJsonPublicKey
      responses:
        '200':
          description: Public key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookPublicKey'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    WebhookPublicKey:
      type: object
      required:
        - webhook
      properties:
        webhook:
          $ref: '#/components/schemas/WebhookPublicKeyObject'
    WebhookPublicKeyObject:
      type: object
      required:
        - public_key
      properties:
        public_key:
          type: string
          description: Base64-encoded public key used to verify webhook signatures.
          example: >-
            MEgCQQCo9+BpMRYQ/dL3DS2CyJxRF+j6ctbT3/Qp84+KeFhnii7NT7fELilKUSnxS30WAvQCCo2yU1orfgqr41mM70MBAgMBAAE=
    ApiErrorUnauthorized:
      type: object
      required:
        - status
        - error
      properties:
        status:
          type: integer
          format: int32
          example: 401
        error:
          type: string
          example: Unauthorized
  responses:
    Unauthorized:
      description: Unauthorized error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorUnauthorized'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````